This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 21329 - modutils upgrade to 2.3.21-1 segfaults
modutils upgrade to 2.3.21-1 segfaults
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-25 13:09 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-07 03:56:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-11-25 13:09:27 EST
Hello,

I've been using the up2date utility to ensure my system has the latest
RH-released security fixes in place.  When the modutils errata update came
out, up2date started crashing saying it couldn't request
"modutils","2.3.21","1","" (or similar, I didn't record the original error
message, sorry).  So I used gnorpm to download and install the new modutils
manually.  It died with a segmentation fault after it had installed the new
rpm.  An rpm query for modutils now returns the following:

[evonz@wally evonz]$ rpm -q modutils
modutils-2.3.14-3
modutils-2.3.21-1

Running each of the modutils-provided binaries with -V shows the following:

[evonz@wally evonz]$ modprobe -V
modprobe version 2.3.21
(etc.)

However, I can't get rid of the 2.3.14 in the RPM database.  Every time I
try either rpm -e modutils 2.3.14-3 or rpm -Uvh --force
modutils-2.3.21-1.rpm , I get a segmentation fault and a core dump.  I've
tried rebuilding the RPM database, which completed fine but had no impact
on the problem.
Comment 1 Bill Nottingham 2001-07-06 18:35:31 EDT
This does not sound like a modutils issue.
Comment 2 Jeff Johnson 2001-07-07 03:56:47 EDT
There are two problems here, the first with the modutils-2.3.21
upgarde, the 2nd with erasing duplicate packages.
Comment 3 Jeff Johnson 2001-07-07 04:31:01 EDT
modutils-2.3.21-1 installs with rpm-4.0.3-0.57, so it isn't a package problem.

Removing mutiple occurences of modutils using
	rpm -e --force modutils --allmatches
works with rpm-4.0.3-0.57.

So the likeliest explanation is/was an rpm database problem.
Try upgrading to rpm-4.0.3-0.57 and doing "rpm --rebuilddb",
as there are better sanity checks on data returned from the database
there. Otherwise, please reopen this bug and supply a pointer (e.g.
a url, attachments won't work) to a copy of your database
	cd /var/lib
	tar czvf /tmp/rpmdb.tar.gz rpm
and I'll try to figger what's up.


Note You need to log in before you can comment on or make changes to this bug.